// Pit.h: interface for the CPit class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PIT_H__11926101_A830_11D5_AD10_70D456C10027__INCLUDED_)
#define AFX_PIT_H__11926101_A830_11D5_AD10_70D456C10027__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Efx.h"

class CPit : public CEfx  
{
private:
	
	CSimpleMesh				m_smPit;

	PDIRECT3DVERTEXBUFFER8	m_pvbInnerVolume;
	PDIRECT3DVERTEXBUFFER8	m_pvbVolume;

	FLOAT					m_fRotation;

public:

	CPit( PDIRECT3DDEVICE8 pDevice );
	virtual ~CPit();

	virtual BOOL UpdateFrame( FLOAT fTime );
	virtual BOOL RenderEfx();
};

#endif // !defined(AFX_PIT_H__11926101_A830_11D5_AD10_70D456C10027__INCLUDED_)
